Bug 1647825 (python-nilearn) - Review Request: python-nilearn - Python module for fast and easy statistical learning on NeuroImaging data
Summary: Review Request: python-nilearn - Python module for fast and easy statistical ...
Keywords:
Status: CLOSED ERRATA
Alias: python-nilearn
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2018-11-08 12:52 UTC by Ankur Sinha (FranciscoD)
Modified: 2018-11-18 06:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-18 02:57:17 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2018-11-08 12:52:35 UTC
Spec URL: https://ankursinha.fedorapeople.org/python-nilearn/python-nilearn.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-nilearn/python-nilearn-0.4.2-1.fc29.src.rpm

Description: 
Nilearn is a Python module for fast and easy statistical learning on
NeuroImaging data.

It leverages the scikit-learn Python toolbox for multivariate statistics with
applications such as predictive modelling, classification, decoding, or
connectivity analysis.

This work is made available by a community of people, amongst which the INRIA
Parietal Project Team and the scikit-learn folks, in particular P. Gervais, A.
Abraham, V. Michel, A. Gramfort, G. Varoquaux, F. Pedregosa, B. Thirion, M.
Eickenberg, C. F. Gorgolewski, D. Bzdok, L. Esteve and B. Cipollini.

Detailed documentation is available at http://nilearn.github.io/.


Fedora Account System Username: ankursinha

Comment 1 Ankur Sinha (FranciscoD) 2018-11-08 12:58:47 UTC
Rawhide scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=30737047

Comment 2 Robert-André Mauchin 2018-11-09 15:00:12 UTC
# Requires nibabel that is py3 only in Fedora
%global with_py2 0

 - Use %bcond_with

 - Main license seems to be BSD, not MIT

 - Remove the shebang in %prep:

python3-nilearn.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/nilearn/plotting/glass_brain_files/plot_align_svg.py /usr/bin/env python
python3-nilearn.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/nilearn/plotting/glass_brain_files/plot_align_svg.py 644 /usr/bin/env python

 - I'd remove these two pre-bytecompiled files in %prep:

python3-nilearn.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.7/site-packages/nilearn/datasets/tests/data/__init__.pyc expected 3390 or 3391 or 3392 or 3393 or 3394 (3.7), found 62211 (2.7)

python3-nilearn.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.7/site-packages/nilearn/tests/data/__init__.pyc expected 3390 or 3391 or 3392 or 3393 or 3394 (3.7), found 62211 (2.7)

   They will be byte-compiled correctly by the build process.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD 3-clause "New" or "Revised" License", "Unknown or
     generated", "*No copyright* BSD (unspecified)". 188 files have unknown
     license. Detailed output of licensecheck in /home/bob/packaging/review
     /python-nilearn/review-python-nilearn/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-nilearn-0.4.2-1.fc30.noarch.rpm
          python-nilearn-0.4.2-1.fc30.src.rpm
python3-nilearn.noarch: W: spelling-error %description -l en_US scikit -> sci kit, sci-kit, kitsch
python3-nilearn.noarch: W: spelling-error %description -l en_US modelling -> modeling, model ling, model-ling
python3-nilearn.noarch: W: spelling-error %description -l en_US amongst -> among st, among-st, among
python3-nilearn.noarch: W: spelling-error %description -l en_US Gervais -> Pervasive
python3-nilearn.noarch: W: spelling-error %description -l en_US Gramfort -> Gram fort, Gram-fort, Stamford
python3-nilearn.noarch: W: spelling-error %description -l en_US Varoquaux -> Baroque
python3-nilearn.noarch: W: spelling-error %description -l en_US Pedregosa -> Superego
python3-nilearn.noarch: W: spelling-error %description -l en_US Thirion -> Thirteen
python3-nilearn.noarch: W: spelling-error %description -l en_US Eickenberg -> Rickenbacker
python3-nilearn.noarch: W: spelling-error %description -l en_US Gorgolewski -> Gorgonzola
python3-nilearn.noarch: W: spelling-error %description -l en_US Bzdok -> Bazooka
python3-nilearn.noarch: W: spelling-error %description -l en_US Esteve -> Est eve, Est-eve, Steve
python3-nilearn.noarch: W: spelling-error %description -l en_US Cipollini -> Polyclinic
python3-nilearn.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.7/site-packages/nilearn/datasets/tests/data/__init__.pyc expected 3390 or 3391 or 3392 or 3393 or 3394 (3.7), found 62211 (2.7)
python3-nilearn.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/nilearn/plotting/glass_brain_files/plot_align_svg.py /usr/bin/env python
python3-nilearn.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/nilearn/plotting/glass_brain_files/plot_align_svg.py 644 /usr/bin/env python
python3-nilearn.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/nilearn/surface/tests/data/test.label ascii label  , from subject fsaverage5 vox2ras=TkReg
python3-nilearn.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/nilearn/surface/tests/data/test.label 644 ascii label  , from subject fsaverage5 vox2ras=TkReg
python3-nilearn.noarch: E: python-bytecode-wrong-magic-value /usr/lib/python3.7/site-packages/nilearn/tests/data/__init__.pyc expected 3390 or 3391 or 3392 or 3393 or 3394 (3.7), found 62211 (2.7)
python-nilearn.src: W: spelling-error %description -l en_US scikit -> sci kit, sci-kit, kitsch
python-nilearn.src: W: spelling-error %description -l en_US modelling -> modeling, model ling, model-ling
python-nilearn.src: W: spelling-error %description -l en_US amongst -> among st, among-st, among
python-nilearn.src: W: spelling-error %description -l en_US Gervais -> Pervasive
python-nilearn.src: W: spelling-error %description -l en_US Gramfort -> Gram fort, Gram-fort, Stamford
python-nilearn.src: W: spelling-error %description -l en_US Varoquaux -> Baroque
python-nilearn.src: W: spelling-error %description -l en_US Pedregosa -> Superego
python-nilearn.src: W: spelling-error %description -l en_US Thirion -> Thirteen
python-nilearn.src: W: spelling-error %description -l en_US Eickenberg -> Rickenbacker
python-nilearn.src: W: spelling-error %description -l en_US Gorgolewski -> Gorgonzola
python-nilearn.src: W: spelling-error %description -l en_US Bzdok -> Bazooka
python-nilearn.src: W: spelling-error %description -l en_US Esteve -> Est eve, Est-eve, Steve
python-nilearn.src: W: spelling-error %description -l en_US Cipollini -> Polyclinic
2 packages and 0 specfiles checked; 6 errors, 26 warnings.

Comment 3 Ankur Sinha (FranciscoD) 2018-11-09 15:49:44 UTC
Thanks for the review, Robert! Updated spec/srpm:

https://ankursinha.fedorapeople.org/python-nilearn/python-nilearn.spec
https://ankursinha.fedorapeople.org/python-nilearn/python-nilearn-0.4.2-2.fc29.src.rpm

rpmlint still gives this, but it's a false positive:
python3-nilearn.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/nilearn/surface/tests/data/test.label ascii label  , from subject fsaverage5 vox2ras=TkReg
python3-nilearn.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/nilearn/surface/tests/data/test.label 644 ascii label  , from subject fsaverage5 vox2ras=TkReg


The file is a data file, the "shebang" is part of the header.

* Fri Nov 09 2018 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.4.2-2
- Correct license
- Remvoe shebangs
- Remove pre-compiled files

Comment 4 Robert-André Mauchin 2018-11-09 15:54:24 UTC
Ok, package approved.

Comment 5 Ankur Sinha (FranciscoD) 2018-11-09 15:57:19 UTC
Thanks! SCM requested: https://pagure.io/releng/fedora-scm-requests/issue/8776

Comment 6 Gwyn Ciesla 2018-11-09 16:01:36 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-nilearn

Comment 7 Fedora Update System 2018-11-09 16:35:28 UTC
python-nilearn-0.4.2-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9ccbc1b490

Comment 8 Fedora Update System 2018-11-09 16:35:34 UTC
python-nilearn-0.4.2-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f50a900df5

Comment 9 Fedora Update System 2018-11-09 16:35:38 UTC
python-nilearn-0.4.2-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3be256c3d7

Comment 10 Fedora Update System 2018-11-10 04:07:01 UTC
python-nilearn-0.4.2-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f50a900df5

Comment 11 Fedora Update System 2018-11-10 05:01:16 UTC
python-nilearn-0.4.2-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3be256c3d7

Comment 12 Fedora Update System 2018-11-10 05:09:43 UTC
python-nilearn-0.4.2-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9ccbc1b490

Comment 13 Fedora Update System 2018-11-18 02:57:17 UTC
python-nilearn-0.4.2-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-11-18 03:55:46 UTC
python-nilearn-0.4.2-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-11-18 06:19:03 UTC
python-nilearn-0.4.2-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.